; Copyright 2019-2021 Sean Porter (Glitchfinder)
;
; Permission is hereby granted, free of charge, to any person obtaining a copy
; of this software and associated documentation files (the "Software"), to deal
; in the Software without restriction, including without limitation the rights
; to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
; copies of the Software, and to permit persons to whom the Software is
; furnished to do so, subject to the following conditions:
;
; The above copyright notice and this permission notice shall be included in all
; copies or substantial portions of the Software.
;
; THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
; IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
; FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
; AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
; LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
; OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
; SOFTWARE.
;------------------------------------------------------------------------------/

Scriptname zYAWA_Eyebot_INST Extends Actor

zYAWA_Manager_INST Property M Auto ; The patrol manager and settings quest

;------------------------------------------------------------------------------\
; When this eyebot is created
;------------------------------------------------------------------------------/
Event OnInit()
	; Set the radio
	LoadCheck()
EndEvent

;------------------------------------------------------------------------------\
; When this eyebot loads
;------------------------------------------------------------------------------/
Event OnLoad()
	; Set the radio
	LoadCheck()
EndEvent

;------------------------------------------------------------------------------\
; Handle this eyebot's radio settings
;------------------------------------------------------------------------------/
Function LoadCheck()
	; If radio is set to play and the eyebot is alive
	If (M.EyebotRadio && !Self.IsDead())
		; Have this eyebot play Radio Freedom
    	Self.MakeRadioReceiver(105.0, 1.0, M.RadioModel, True)
	; If the eyebot is dead or radio is not set to play
    ElseIf (!M.EyebotRadio)
		; Make sure this eyebot does not play Radio Freedom
    	Self.MakeRadioReceiver(105.0, 1.0, M.RadioModel, False)
    EndIf
EndFunction

;------------------------------------------------------------------------------\
; When this eyebot dies
;------------------------------------------------------------------------------/
Event OnDeath(Actor killer)
	; Turn off Radio Freedom
	Self.MakeRadioReceiver(105.0, 1.0, M.RadioModel, False)
EndEvent
